org.omg.PortableServer

## Interface ThreadPolicy

- All Superinterfaces:
    IDLEntity, Object, Policy, PolicyOperations, Serializable, ThreadPolicyOperations

      public interface ThreadPolicy
      extends ThreadPolicyOperations, Policy, IDLEntity

  The ThreadPolicy specifies the threading model used with the created POA. The default is ORB_CTRL_MODEL.

- - ### Method Summary

    - ### Methods inherited from interface org.omg.PortableServer.ThreadPolicyOperations

      `value`

    - ### Methods inherited from interface org.omg.CORBA.PolicyOperations

      `copy, destroy, policy_type`

    - ### Methods inherited from interface org.omg.CORBA.Object

      `_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.